com.salesforce.datacloud.jdbc.internal

## Class Tracer

- java.lang.Object
- - com.salesforce.datacloud.jdbc.internal.Tracer

    public class Tracer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Tracer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Tracer` `get()`
`boolean` `isValidSpanId(CharSequence spanId)`
`boolean` `isValidTraceId(CharSequence traceId)`
`String` `nextId()`
`String` `nextSpanId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Tracer

    public Tracer()

### Method Detail

#### get

    public static Tracer get()

#### nextSpanId

    public String nextSpanId()

#### isValidSpanId

    public boolean isValidSpanId(CharSequence spanId)

#### nextId

    public String nextId()

#### isValidTraceId

    public boolean isValidTraceId(CharSequence traceId)